// This is Free Software
// See the GNU General Public License @ http://www.gnu.org/copyleft/gpl.html
// for details about the terms and conditions for using and distributing
// this piece of software.
// This software comes with absolutely NO WARRANTY!
// (c) 2003 by Daniel Gruen <daniel_gruen@web.de>

#ifndef _QRAY_
#define _QRAY_

#include <qwidget.h>
#include <qvbox.h>
#include <qpainter.h>

#include "ddd.h"

class QRayConfig;
class QRayLight;
class QRayView;
class QRayObject;
class QPixmap;

class QRay : public QWidget {
	Q_OBJECT
  public:
	QRay(QWidget *parent=0, const char *name = 0);
	QRayView *view;
	QRayObject *plain;
	QRayLight *light;
	QRayConfig *options;
	QPixmap *pix;
  public slots:
	void  paintView();
	void  configure();
  protected:
	void paintEvent(QPaintEvent *);
};

class QRayWidget : public QVBox {
    public:
	QRayWidget(QWidget *parent=0, const char *name = 0);
};





#endif

