// This is Free Software
// See the GNU General Public License @ http://www.gnu.org/copyleft/gpl.html
// for details about the terms and conditions for using and distributing
// this piece of software.
// This software comes with absolutely NO WARRANTY!
// (c) 2003 by Daniel Gruen <daniel_gruen@web.de>

#ifndef _QRAYCONFIG_
#define _QRAYCONFIG_

#include "confdlg.h"

class QRayLight;
class QRayObject;
class QRayView;
class QWidget;

class QRayConfig : public Optionen
{
  Q_OBJECT
  public:
	QRayConfig(QRayLight *firstl, QRayObject *firsto, QRayView *dview, QWidget *parent = 0, const char *name = 0);
	QRayLight *light;
	QRayObject *object;
	QRayView *view;
  public slots:
    virtual void cameraPosChanged();
    virtual void cameraDepthChanged();
    virtual void cameraFieldChanged();
    virtual void lightHSChanged( int h, int s );
    virtual void lightPosChanged();
    virtual void lightIntensityChanged();
};

#endif
