// This is Free Software
// See the GNU General Public License @ http://www.gnu.org/copyleft/gpl.html
// for details about the terms and conditions for using and distributing
// this piece of software.
// This software comes with absolutely NO WARRANTY!
// (c) 2003 by Daniel Gruen <daniel_gruen@web.de>

#ifndef _QRAYLIGHT_
#define _QRAYLIGHT_

#include "ddd.h"
#include <qcolor.h>
#include <qwidget.h>

const double lf = 3.0;

class QRayLight : public QWidget {
  Q_OBJECT
  public:
	QRayLight(vektor da, QColor dc=QColor(255,255,255), double dintens=3.0);
	~QRayLight();
	vektor a;
	QColor c;
	double intens;
	double intensity(double dist);
	QRayLight *next;
  public slots:
	void chooseColor();
	void setIntensity(double di);
};


#endif
