// This is Free Software
// See the GNU General Public License @ http://www.gnu.org/copyleft/gpl.html
// for details about the terms and conditions for using and distributing
// this piece of software.
// This software comes with absolutely NO WARRANTY!
// (c) 2003 by Daniel Gruen <daniel_gruen@web.de>

#ifndef _DDD_
#define _DDD_

#define pi     3.14159
#define pi180  pi/180.0

struct dddcoord {
   float x;
   float y;
   float z;
};

struct ddcoord {
   float x;
   float y;
};

struct vektor {
   double x;
   double y;
   double z;
};

ddcoord xycoord(dddcoord a, float k);
dddcoord xzturn(dddcoord a,  int W);
dddcoord yzturn(dddcoord a,  int W);
dddcoord   turn(dddcoord a, int xang, int yang);
double     vabs(vektor a);
vektor normalize(vektor a, double l);
double intersection(vektor ga, vektor gu, vektor ea, vektor eu, vektor ev);
vektor vintersection(vektor ga, vektor gu, vektor ea, vektor eu, vektor ev);

#endif
